diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/templates/cast/sql/9.1_plus/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/casts/templates/cast/sql/9.1_plus/nodes.sql
index 8e9f3e9..886c2af 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/templates/cast/sql/9.1_plus/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/templates/cast/sql/9.1_plus/nodes.sql
@@ -10,7 +10,7 @@
     LEFT JOIN pg_namespace np ON np.oid=pr.pronamespace
     LEFT OUTER JOIN pg_description des ON (des.objoid=ca.oid AND des.objsubid=0 AND des.classoid='pg_cast'::regclass)
     {% if cid %}
-        WHERE ca.oid={{cid}}::int
+        WHERE ca.oid={{cid}}::oid
     {% endif %}
     {# Check for Show system object #}
     {% if (not showsysobj) and datlastsysoid %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/templates/cast/sql/9.1_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/casts/templates/cast/sql/9.1_plus/properties.sql
index 255ee23..cd1883c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/templates/cast/sql/9.1_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/templates/cast/sql/9.1_plus/properties.sql
@@ -43,7 +43,7 @@
     LEFT OUTER JOIN pg_description des ON (des.objoid=ca.oid AND des.objsubid=0 AND des.classoid='pg_cast'::regclass)
 
     {% if cid %}
-        WHERE ca.oid={{cid}}::int
+        WHERE ca.oid={{cid}}::oid
     {% endif %}
 
     {# Check for Show system object #}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/sql/9.3_plus/delete.sql b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/sql/9.3_plus/delete.sql
index 828f776..e6bcf47 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/sql/9.3_plus/delete.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/sql/9.3_plus/delete.sql
@@ -1,6 +1,6 @@
 {% if etid %}
 SELECT e.evtname AS name FROM pg_event_trigger e
-WHERE e.oid={{etid}}::int;
+WHERE e.oid={{etid}}::oid;
 {% endif %}
 {% if name %}
 DROP EVENT TRIGGER IF EXISTS {{ conn|qtIdent(name) }}{% if cascade%} CASCADE{% endif %};
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/sql/9.3_plus/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/sql/9.3_plus/nodes.sql
index 5463d0b..7f770f4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/sql/9.3_plus/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/sql/9.3_plus/nodes.sql
@@ -1,6 +1,6 @@
 SELECT e.oid, e.evtname AS name
 FROM pg_event_trigger e
 {% if etid %}
-WHERE e.oid={{etid}}::int
+WHERE e.oid={{etid}}::oid
 {% endif %}
 ORDER BY e.evtname
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/sql/9.3_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/sql/9.3_plus/properties.sql
index d0a1009..662d04b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/sql/9.3_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/templates/event_triggers/sql/9.3_plus/properties.sql
@@ -12,6 +12,6 @@ array_to_string(array(select quote_literal(x) from unnest(evttags) as t(x)), ',
  pg_namespace n
  WHERE p.pronamespace = n.oid
 {% if etid %}
- AND e.oid={{etid}}::int
+ AND e.oid={{etid}}::oid
 {% endif %}
   ORDER BY e.evtname
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/templates/extensions/sql/delete.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/templates/extensions/sql/delete.sql
index 44155f6..a6901f8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/templates/extensions/sql/delete.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/templates/extensions/sql/delete.sql
@@ -1,7 +1,7 @@
 {#============================Drop/Cascade Extension by name=========================#}
 {% if eid %}
 SELECT x.extname from pg_extension x
-    WHERE x.oid = {{ eid }}::int
+    WHERE x.oid = {{ eid }}::oid
 {% endif %}
 {% if name %}
 DROP EXTENSION {{ conn|qtIdent(name) }} {% if cascade %} CASCADE {% endif %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/templates/extensions/sql/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/templates/extensions/sql/properties.sql
index f652676..a31288f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/templates/extensions/sql/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/templates/extensions/sql/properties.sql
@@ -9,7 +9,7 @@ FROM
     LEFT JOIN pg_namespace n ON x.extnamespace=n.oid
     JOIN pg_available_extensions() e(name, default_version, comment) ON x.extname=e.name
 {%- if eid %}
- WHERE x.oid = {{eid}}::int
+ WHERE x.oid = {{eid}}::oid
 {% elif ename %}
  WHERE x.extname = {{ename|qtLiteral}}::text
 {% else %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/templates/foreign_servers/sql/9.1_plus/delete.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/templates/foreign_servers/sql/9.1_plus/delete.sql
index ce89201..9ed9a43 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/templates/foreign_servers/sql/9.1_plus/delete.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/templates/foreign_servers/sql/9.1_plus/delete.sql
@@ -1,7 +1,7 @@
 {# ============= Give foreign server name from foreign server id ============= #}
 {% if fsid %}
 SELECT srvname as name FROM pg_foreign_server srv LEFT OUTER JOIN pg_foreign_data_wrapper fdw on fdw.oid=srvfdw
-WHERE srv.oid={{fsid}}::int;
+WHERE srv.oid={{fsid}}::oid;
 {% endif %}
 {# ============= Delete/Drop cascade foreign server ============= #}
 {% if name %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/templates/foreign_servers/sql/9.1_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/templates/foreign_servers/sql/9.1_plus/properties.sql
index 011378c..e4e6d79 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/templates/foreign_servers/sql/9.1_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/templates/foreign_servers/sql/9.1_plus/properties.sql
@@ -4,7 +4,7 @@ SELECT fdw.oid as fdwoid,
        fdwname as name
 FROM pg_foreign_data_wrapper fdw
 LEFT OUTER JOIN pg_description des ON (des.objoid=fdw.oid AND des.objsubid=0 AND des.classoid='pg_foreign_data_wrapper'::regclass)
-WHERE fdw.oid={{fdwid}}::int
+WHERE fdw.oid={{fdwid}}::oid
 {% else %}
 SELECT srv.oid as fsrvid, srvname as name, srvtype as fsrvtype, srvversion as fsrvversion, fdw.fdwname as fdwname, description,
 array_to_string(srvoptions, ',') AS fsrvoptions,
@@ -18,10 +18,10 @@ WHERE fdw.fdwname = {{ fdwdata.name|qtLiteral }}::text and srvname = {{ data.nam
 WHERE fdw.fdwname = {{fdwdata.name|qtLiteral}}::text
 {% endif %}
 {% if fid %}
-WHERE srvfdw={{fid}}::int
+WHERE srvfdw={{fid}}::oid
 {% endif %}
 {% if fsid %}
-WHERE srv.oid={{fsid}}::int
+WHERE srv.oid={{fsid}}::oid
 {% endif %}
 ORDER BY srvname;
 {% endif %}
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/templates/foreign_servers/sql/9.3_plus/delete.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/templates/foreign_servers/sql/9.3_plus/delete.sql
index ce89201..9ed9a43 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/templates/foreign_servers/sql/9.3_plus/delete.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/templates/foreign_servers/sql/9.3_plus/delete.sql
@@ -1,7 +1,7 @@
 {# ============= Give foreign server name from foreign server id ============= #}
 {% if fsid %}
 SELECT srvname as name FROM pg_foreign_server srv LEFT OUTER JOIN pg_foreign_data_wrapper fdw on fdw.oid=srvfdw
-WHERE srv.oid={{fsid}}::int;
+WHERE srv.oid={{fsid}}::oid;
 {% endif %}
 {# ============= Delete/Drop cascade foreign server ============= #}
 {% if name %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/templates/foreign_servers/sql/9.3_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/templates/foreign_servers/sql/9.3_plus/properties.sql
index 98154b8..25dc50d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/templates/foreign_servers/sql/9.3_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/templates/foreign_servers/sql/9.3_plus/properties.sql
@@ -3,7 +3,7 @@
 SELECT fdw.oid as fdwoid, fdwname as name
 FROM pg_foreign_data_wrapper fdw
 LEFT OUTER JOIN pg_description des ON (des.objoid=fdw.oid AND des.objsubid=0 AND des.classoid='pg_foreign_data_wrapper'::regclass)
-WHERE fdw.oid={{fdwid}}::int
+WHERE fdw.oid={{fdwid}}::oid
 {% else %}
 SELECT srv.oid as fsrvid, srvname as name, srvtype as fsrvtype, srvversion as fsrvversion, fdw.fdwname as fdwname, description,
 array_to_string(srvoptions, ',') AS fsrvoptions,
@@ -17,10 +17,10 @@ WHERE fdw.fdwname = {{ fdwdata.name|qtLiteral }}::text and srvname = {{ data.nam
 WHERE fdw.fdwname = {{fdwdata.name|qtLiteral}}::text
 {% endif %}
 {% if fid %}
-WHERE srvfdw={{fid}}::int
+WHERE srvfdw={{fid}}::oid
 {% endif %}
 {% if fsid %}
-WHERE srv.oid={{fsid}}::int
+WHERE srv.oid={{fsid}}::oid
 {% endif %}
 ORDER BY srvname;
 {% endif %}
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/templates/user_mappings/sql/9.1_plus/delete.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/templates/user_mappings/sql/9.1_plus/delete.sql
index 0f5c14b..9bae90d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/templates/user_mappings/sql/9.1_plus/delete.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/templates/user_mappings/sql/9.1_plus/delete.sql
@@ -1,7 +1,7 @@
 {# ============= Get the foreing server name from id ============= #}
 {% if fsid %}
 SELECT srvname as name FROM pg_foreign_server srv LEFT OUTER JOIN pg_foreign_data_wrapper fdw on fdw.oid=srvfdw
-    WHERE srv.oid={{fsid}}::int;
+    WHERE srv.oid={{fsid}}::oid;
 {% endif %}
 {# ============= Drop/Delete cascade user mapping ============= #}
 {% if name and data %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/templates/user_mappings/sql/9.1_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/templates/user_mappings/sql/9.1_plus/properties.sql
index a19b6fe..7adc274 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/templates/user_mappings/sql/9.1_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/templates/user_mappings/sql/9.1_plus/properties.sql
@@ -3,14 +3,14 @@
 SELECT srv.oid as fsrvid, srvname as name
 FROM pg_foreign_server srv
     LEFT OUTER JOIN pg_description des ON (des.objoid=srv.oid AND des.objsubid=0 AND des.classoid='pg_foreign_server'::regclass)
-WHERE srv.oid = {{fserid}}::int
+WHERE srv.oid = {{fserid}}::oid
 {% endif %}
 {% if fsid or umid or fdwdata or data %}
 WITH umapData AS
     (
         SELECT u.oid AS um_oid, CASE WHEN u.umuser = 0::oid THEN 'PUBLIC'::name ELSE a.rolname END AS name,
         array_to_string(u.umoptions, ',') AS umoptions FROM pg_user_mapping u
-        LEFT JOIN pg_authid a ON a.oid = u.umuser {% if fsid %} WHERE u.umserver = {{fsid}}::int {% endif %} {% if umid %} WHERE u.oid= {{umid}}::int {% endif %}
+        LEFT JOIN pg_authid a ON a.oid = u.umuser {% if fsid %} WHERE u.umserver = {{fsid}}::oid {% endif %} {% if umid %} WHERE u.oid= {{umid}}::oid {% endif %}
     )
     SELECT * FROM umapData
 {% if data %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/templates/foreign_data_wrappers/sql/9.1_plus/delete.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/templates/foreign_data_wrappers/sql/9.1_plus/delete.sql
index 5677c99..71502e2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/templates/foreign_data_wrappers/sql/9.1_plus/delete.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/templates/foreign_data_wrappers/sql/9.1_plus/delete.sql
@@ -1,6 +1,6 @@
 {# ============= Get foreign data wrapper from fid ============= #}
 {% if fid %}
-SELECT fdwname as name from pg_foreign_data_wrapper WHERE oid={{fid}}::int;
+SELECT fdwname as name from pg_foreign_data_wrapper WHERE oid={{fid}}::oid;
 {% endif %}
 {# ============= Delete/Drop cascade foreign data wrapper ============= #}
 {% if name %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/templates/foreign_data_wrappers/sql/9.1_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/templates/foreign_data_wrappers/sql/9.1_plus/properties.sql
index b982549..08effc6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/templates/foreign_data_wrappers/sql/9.1_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/templates/foreign_data_wrappers/sql/9.1_plus/properties.sql
@@ -10,7 +10,7 @@ LEFT OUTER JOIN pg_namespace vh_nsp ON vh_nsp.oid=vh.pronamespace
 LEFT OUTER JOIN pg_namespace vp_nsp ON vp_nsp.oid=vp.pronamespace
 LEFT OUTER JOIN pg_description des ON (des.objoid=fdw.oid AND des.objsubid=0 AND des.classoid='pg_foreign_data_wrapper'::regclass)
 {% if fid %}
-WHERE fdw.oid={{fid}}::int
+WHERE fdw.oid={{fid}}::oid
 {% endif %}
 {% if fname %}
 WHERE fdw.fdwname={{ fname|qtLiteral }}::text
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/templates/foreign_data_wrappers/sql/9.3_plus/delete.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/templates/foreign_data_wrappers/sql/9.3_plus/delete.sql
index 5677c99..71502e2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/templates/foreign_data_wrappers/sql/9.3_plus/delete.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/templates/foreign_data_wrappers/sql/9.3_plus/delete.sql
@@ -1,6 +1,6 @@
 {# ============= Get foreign data wrapper from fid ============= #}
 {% if fid %}
-SELECT fdwname as name from pg_foreign_data_wrapper WHERE oid={{fid}}::int;
+SELECT fdwname as name from pg_foreign_data_wrapper WHERE oid={{fid}}::oid;
 {% endif %}
 {# ============= Delete/Drop cascade foreign data wrapper ============= #}
 {% if name %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/templates/foreign_data_wrappers/sql/9.3_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/templates/foreign_data_wrappers/sql/9.3_plus/properties.sql
index a07c335..7d9b790 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/templates/foreign_data_wrappers/sql/9.3_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/templates/foreign_data_wrappers/sql/9.3_plus/properties.sql
@@ -10,7 +10,7 @@ FROM pg_foreign_data_wrapper fdw
     LEFT OUTER JOIN pg_namespace vp_nsp ON vp_nsp.oid=vp.pronamespace
     LEFT OUTER JOIN pg_description des ON (des.objoid=fdw.oid AND des.objsubid=0 AND des.classoid='pg_foreign_data_wrapper'::regclass)
 {% if fid %}
-WHERE fdw.oid={{fid}}::int
+WHERE fdw.oid={{fid}}::oid
 {% endif %}
 {% if fname %}
 WHERE fdw.fdwname={{ fname|qtLiteral }}::text
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.1_plus/delete.sql b/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.1_plus/delete.sql
index c213263..74ee41c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.1_plus/delete.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.1_plus/delete.sql
@@ -1,6 +1,6 @@
 {# ============= Get the language name using oid ============= #}
 {% if lid %}
-    SELECT lanname FROM pg_language WHERE oid = {{lid}}::int;
+    SELECT lanname FROM pg_language WHERE oid = {{lid}}::oid;
 {% endif %}
 {# ============= Drop the language ============= #}
 {% if lname %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.1_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.1_plus/properties.sql
index bb4cf93..e7dde9f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.1_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.1_plus/properties.sql
@@ -15,7 +15,7 @@ FROM
         )
 WHERE lanispl IS TRUE
 {% if lid %} AND
-    lan.oid={{lid}}::int
+    lan.oid={{lid}}::oid
 {% endif %}
 {% if lanname %} AND
     lanname={{ lanname|qtLiteral }}::text
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.3_plus/delete.sql b/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.3_plus/delete.sql
index c213263..74ee41c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.3_plus/delete.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.3_plus/delete.sql
@@ -1,6 +1,6 @@
 {# ============= Get the language name using oid ============= #}
 {% if lid %}
-    SELECT lanname FROM pg_language WHERE oid = {{lid}}::int;
+    SELECT lanname FROM pg_language WHERE oid = {{lid}}::oid;
 {% endif %}
 {# ============= Drop the language ============= #}
 {% if lname %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.3_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.3_plus/properties.sql
index bb4cf93..e7dde9f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.3_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/templates/languages/sql/9.3_plus/properties.sql
@@ -15,7 +15,7 @@ FROM
         )
 WHERE lanispl IS TRUE
 {% if lid %} AND
-    lan.oid={{lid}}::int
+    lan.oid={{lid}}::oid
 {% endif %}
 {% if lanname %} AND
     lanname={{ lanname|qtLiteral }}::text
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/templates/catalog_object/sql/pg/9.1_plus/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/templates/catalog_object/sql/pg/9.1_plus/nodes.sql
index 4fc1254..e610d18 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/templates/catalog_object/sql/pg/9.1_plus/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/templates/catalog_object/sql/pg/9.1_plus/nodes.sql
@@ -3,8 +3,8 @@ SELECT
 FROM
     pg_class c
 {% if scid %}
-WHERE relnamespace = {{scid}}::int
+WHERE relnamespace = {{scid}}::oid
 {% elif coid %}
-WHERE c.oid = {{coid}}::int
+WHERE c.oid = {{coid}}::oid
 {% endif %}
 ORDER BY relname;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/templates/catalog_object/sql/pg/9.1_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/templates/catalog_object/sql/pg/9.1_plus/properties.sql
index dc5a64c..f33c74e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/templates/catalog_object/sql/pg/9.1_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/templates/catalog_object/sql/pg/9.1_plus/properties.sql
@@ -6,7 +6,7 @@ FROM
         ON d.objoid=c.oid AND d.classoid='pg_class'::regclass
     LEFT JOIN pg_roles r ON c.relowner = r.oid
 WHERE
-    relnamespace = {{scid}}::int
+    relnamespace = {{scid}}::oid
 {% if coid %} AND
-    c.oid = {{coid}}::int
+    c.oid = {{coid}}::oid
 {% endif %} ORDER BY relname;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/templates/catalog_object/sql/ppas/9.1_plus/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/templates/catalog_object/sql/ppas/9.1_plus/nodes.sql
index 6ddd55b..2629264 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/templates/catalog_object/sql/ppas/9.1_plus/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/templates/catalog_object/sql/ppas/9.1_plus/nodes.sql
@@ -2,14 +2,14 @@ SELECT
     c.oid, c.relname as name
 FROM pg_class c
 {% if scid %}
-WHERE relnamespace = {{scid}}::int
+WHERE relnamespace = {{scid}}::oid
 OR  (
     -- On EnterpriseDB we need to ignore some objects in the catalog, namely, _*, dual and type_object_source.
-	select 'sys' ~ (SELECT nsp.nspname FROM pg_namespace nsp WHERE nsp.oid = {{scid}}::int)
+	select 'sys' ~ (SELECT nsp.nspname FROM pg_namespace nsp WHERE nsp.oid = {{scid}}::oid)
 	AND
 	(c.relname NOT LIKE '\\_%' AND c.relname = 'dual' AND  c.relname = 'type_object_source')
     )
 {% elif coid %}
-WHERE c.oid = {{coid}}::int
+WHERE c.oid = {{coid}}::oid
 {% endif %}
 ORDER BY relname;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/templates/catalog_object/sql/ppas/9.1_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/templates/catalog_object/sql/ppas/9.1_plus/properties.sql
index 2e9ba91..d96320c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/templates/catalog_object/sql/ppas/9.1_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/catalog_objects/templates/catalog_object/sql/ppas/9.1_plus/properties.sql
@@ -6,15 +6,15 @@ FROM
         ON d.objoid=c.oid AND d.classoid='pg_class'::regclass
     LEFT JOIN pg_roles r ON c.relowner = r.oid
 WHERE
-    relnamespace = {{scid}}::int
+    relnamespace = {{scid}}::oid
 {% if coid %} AND
-    c.oid = {{coid}}::int
+    c.oid = {{coid}}::oid
 {% endif %} OR (
     -- On EnterpriseDB - ignore some objects in the catalog, whose name starts
     -- with _*, dual and type_object_source.
     SELECT 'sys' ~ (
         SELECT nsp.nspname FROM pg_namespace nsp
-        WHERE nsp.oid = {{scid}}::int
+        WHERE nsp.oid = {{scid}}::oid
     ) AND (
         c.relname NOT LIKE '\\_%' AND c.relname = 'dual' AND
         c.relname = 'type_object_source'
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/templates/collation/sql/9.1_plus/backend_support.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/templates/collation/sql/9.1_plus/backend_support.sql
index 0d443d0..40493d3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/templates/collation/sql/9.1_plus/backend_support.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/templates/collation/sql/9.1_plus/backend_support.sql
@@ -1,7 +1,7 @@
 SELECT
      CASE WHEN nsp.nspname IN ('sys', 'dbo', 'information_schema') THEN true ELSE false END AS dbSupport
 FROM pg_namespace nsp
-WHERE nsp.oid={{scid}}::int
+WHERE nsp.oid={{scid}}::oid
 AND (
     (nspname = 'pg_catalog' AND EXISTS
         (SELECT 1 FROM pg_class WHERE relname = 'pg_class' AND relnamespace = nsp.oid LIMIT 1))
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.1_plus/delete.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.1_plus/delete.sql
index 7a12b50..d8be4aa 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.1_plus/delete.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.1_plus/delete.sql
@@ -8,7 +8,7 @@ JOIN
 WHERE
     d.typnamespace = {{scid}}::oid
 AND
-    d.oid={{doid}}::int;
+    d.oid={{doid}}::oid;
 {% endif %}
 
 {% if name %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.1_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.1_plus/properties.sql
index 42af39d..2c5c602 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.1_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.1_plus/properties.sql
@@ -29,7 +29,7 @@ LEFT OUTER JOIN
 WHERE
     d.typnamespace = {{scid}}::oid
     {% if doid %}
-    AND d.oid={{doid}}::int
+    AND d.oid={{doid}}::oid
     {% endif %}
 ORDER BY
     d.typname;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.2_plus/delete.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.2_plus/delete.sql
index 7a12b50..d8be4aa 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.2_plus/delete.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.2_plus/delete.sql
@@ -8,7 +8,7 @@ JOIN
 WHERE
     d.typnamespace = {{scid}}::oid
 AND
-    d.oid={{doid}}::int;
+    d.oid={{doid}}::oid;
 {% endif %}
 
 {% if name %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.2_plus/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.2_plus/properties.sql
index 87cc84c..4c868cc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.2_plus/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.2_plus/properties.sql
@@ -28,7 +28,7 @@ LEFT OUTER JOIN
 WHERE
     d.typnamespace = {{scid}}::oid
 {% if doid %}
-  AND d.oid={{doid}}::int
+  AND d.oid={{doid}}::oid
 {% endif %}
 ORDER BY
     d.typname;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/templates/sequence/sql/9.1_plus/backend_support.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/templates/sequence/sql/9.1_plus/backend_support.sql
index 2fb09e3..1c8a832 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/templates/sequence/sql/9.1_plus/backend_support.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/templates/sequence/sql/9.1_plus/backend_support.sql
@@ -1,7 +1,7 @@
 SELECT
     CASE WHEN nsp.nspname IN ('sys', 'dbo', 'information_schema') THEN true ELSE false END AS dbSupport
 FROM pg_namespace nsp
-WHERE nsp.oid={{scid}}::int AND (
+WHERE nsp.oid={{scid}}::oid AND (
     (nspname = 'pg_catalog' AND EXISTS
         (SELECT 1 FROM pg_class WHERE relname = 'pg_class' AND relnamespace = nsp.oid LIMIT 1))
     OR (nspname = 'pgagent' AND EXISTS
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/check_constraint/sql/9.1_plus/get_parent.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/check_constraint/sql/9.1_plus/get_parent.sql
index a652857..da79d0f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/check_constraint/sql/9.1_plus/get_parent.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/check_constraint/sql/9.1_plus/get_parent.sql
@@ -3,5 +3,5 @@ SELECT nsp.nspname AS schema,
 FROM
     pg_class rel
 JOIN pg_namespace nsp
-ON rel.relnamespace = nsp.oid::int
-WHERE rel.oid = {{tid}}::int
\ No newline at end of file
+ON rel.relnamespace = nsp.oid::oid
+WHERE rel.oid = {{tid}}::oid
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/check_constraint/sql/9.2_plus/get_parent.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/check_constraint/sql/9.2_plus/get_parent.sql
index a652857..da79d0f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/check_constraint/sql/9.2_plus/get_parent.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/check_constraint/sql/9.2_plus/get_parent.sql
@@ -3,5 +3,5 @@ SELECT nsp.nspname AS schema,
 FROM
     pg_class rel
 JOIN pg_namespace nsp
-ON rel.relnamespace = nsp.oid::int
-WHERE rel.oid = {{tid}}::int
\ No newline at end of file
+ON rel.relnamespace = nsp.oid::oid
+WHERE rel.oid = {{tid}}::oid
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.1_plus/get_parent.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.1_plus/get_parent.sql
index 5dd5d3c..f595cdc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.1_plus/get_parent.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.1_plus/get_parent.sql
@@ -1,5 +1,5 @@
 SELECT nsp.nspname AS schema ,rel.relname AS table
 FROM pg_class rel
     JOIN pg_namespace nsp
-    ON rel.relnamespace = nsp.oid::int
-    WHERE rel.oid = {{tid}}::int
\ No newline at end of file
+    ON rel.relnamespace = nsp.oid::oid
+    WHERE rel.oid = {{tid}}::oid
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.2_plus/get_parent.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.2_plus/get_parent.sql
index 5dd5d3c..f595cdc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.2_plus/get_parent.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/column/sql/9.2_plus/get_parent.sql
@@ -1,5 +1,5 @@
 SELECT nsp.nspname AS schema ,rel.relname AS table
 FROM pg_class rel
     JOIN pg_namespace nsp
-    ON rel.relnamespace = nsp.oid::int
-    WHERE rel.oid = {{tid}}::int
\ No newline at end of file
+    ON rel.relnamespace = nsp.oid::oid
+    WHERE rel.oid = {{tid}}::oid
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/exclusion_constraint/sql/9.1_plus/get_parent.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/exclusion_constraint/sql/9.1_plus/get_parent.sql
index a652857..da79d0f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/exclusion_constraint/sql/9.1_plus/get_parent.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/exclusion_constraint/sql/9.1_plus/get_parent.sql
@@ -3,5 +3,5 @@ SELECT nsp.nspname AS schema,
 FROM
     pg_class rel
 JOIN pg_namespace nsp
-ON rel.relnamespace = nsp.oid::int
-WHERE rel.oid = {{tid}}::int
\ No newline at end of file
+ON rel.relnamespace = nsp.oid::oid
+WHERE rel.oid = {{tid}}::oid
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/exclusion_constraint/sql/9.2_plus/get_parent.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/exclusion_constraint/sql/9.2_plus/get_parent.sql
index a652857..da79d0f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/exclusion_constraint/sql/9.2_plus/get_parent.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/exclusion_constraint/sql/9.2_plus/get_parent.sql
@@ -3,5 +3,5 @@ SELECT nsp.nspname AS schema,
 FROM
     pg_class rel
 JOIN pg_namespace nsp
-ON rel.relnamespace = nsp.oid::int
-WHERE rel.oid = {{tid}}::int
\ No newline at end of file
+ON rel.relnamespace = nsp.oid::oid
+WHERE rel.oid = {{tid}}::oid
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/exclusion_constraint/sql/9.6_plus/get_parent.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/exclusion_constraint/sql/9.6_plus/get_parent.sql
index a652857..da79d0f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/exclusion_constraint/sql/9.6_plus/get_parent.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/exclusion_constraint/sql/9.6_plus/get_parent.sql
@@ -3,5 +3,5 @@ SELECT nsp.nspname AS schema,
 FROM
     pg_class rel
 JOIN pg_namespace nsp
-ON rel.relnamespace = nsp.oid::int
-WHERE rel.oid = {{tid}}::int
\ No newline at end of file
+ON rel.relnamespace = nsp.oid::oid
+WHERE rel.oid = {{tid}}::oid
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_parent.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_parent.sql
index a652857..da79d0f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_parent.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_parent.sql
@@ -3,5 +3,5 @@ SELECT nsp.nspname AS schema,
 FROM
     pg_class rel
 JOIN pg_namespace nsp
-ON rel.relnamespace = nsp.oid::int
-WHERE rel.oid = {{tid}}::int
\ No newline at end of file
+ON rel.relnamespace = nsp.oid::oid
+WHERE rel.oid = {{tid}}::oid
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/index/sql/9.1_plus/get_parent.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/index/sql/9.1_plus/get_parent.sql
index 5dd5d3c..f595cdc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/index/sql/9.1_plus/get_parent.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/index/sql/9.1_plus/get_parent.sql
@@ -1,5 +1,5 @@
 SELECT nsp.nspname AS schema ,rel.relname AS table
 FROM pg_class rel
     JOIN pg_namespace nsp
-    ON rel.relnamespace = nsp.oid::int
-    WHERE rel.oid = {{tid}}::int
\ No newline at end of file
+    ON rel.relnamespace = nsp.oid::oid
+    WHERE rel.oid = {{tid}}::oid
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/index_constraint/sql/get_parent.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/index_constraint/sql/get_parent.sql
index a652857..da79d0f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/index_constraint/sql/get_parent.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/index_constraint/sql/get_parent.sql
@@ -3,5 +3,5 @@ SELECT nsp.nspname AS schema,
 FROM
     pg_class rel
 JOIN pg_namespace nsp
-ON rel.relnamespace = nsp.oid::int
-WHERE rel.oid = {{tid}}::int
\ No newline at end of file
+ON rel.relnamespace = nsp.oid::oid
+WHERE rel.oid = {{tid}}::oid
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/table/sql/9.1_plus/backend_support.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/table/sql/9.1_plus/backend_support.sql
index f9b9564..a860881 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/table/sql/9.1_plus/backend_support.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/table/sql/9.1_plus/backend_support.sql
@@ -1,7 +1,7 @@
 SELECT
  CASE WHEN nsp.nspname IN ('sys', 'dbo', 'information_schema') THEN true ELSE false END AS dbSupport
 FROM pg_namespace nsp
-WHERE nsp.oid={{scid}}::int
+WHERE nsp.oid={{scid}}::oid
 AND (
 	(nspname = 'pg_catalog' AND EXISTS
 	                               (SELECT 1 FROM pg_class WHERE relname = 'pg_class' AND relnamespace = nsp.oid LIMIT 1))
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/table/sql/9.5_plus/backend_support.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/table/sql/9.5_plus/backend_support.sql
index f9b9564..a860881 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/table/sql/9.5_plus/backend_support.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/table/sql/9.5_plus/backend_support.sql
@@ -1,7 +1,7 @@
 SELECT
  CASE WHEN nsp.nspname IN ('sys', 'dbo', 'information_schema') THEN true ELSE false END AS dbSupport
 FROM pg_namespace nsp
-WHERE nsp.oid={{scid}}::int
+WHERE nsp.oid={{scid}}::oid
 AND (
 	(nspname = 'pg_catalog' AND EXISTS
 	                               (SELECT 1 FROM pg_class WHERE relname = 'pg_class' AND relnamespace = nsp.oid LIMIT 1))
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/trigger/sql/9.1_plus/get_parent.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/trigger/sql/9.1_plus/get_parent.sql
index 5dd5d3c..f595cdc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/trigger/sql/9.1_plus/get_parent.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/trigger/sql/9.1_plus/get_parent.sql
@@ -1,5 +1,5 @@
 SELECT nsp.nspname AS schema ,rel.relname AS table
 FROM pg_class rel
     JOIN pg_namespace nsp
-    ON rel.relnamespace = nsp.oid::int
-    WHERE rel.oid = {{tid}}::int
\ No newline at end of file
+    ON rel.relnamespace = nsp.oid::oid
+    WHERE rel.oid = {{tid}}::oid
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/pg/9.1_plus/sql/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/pg/9.1_plus/sql/nodes.sql
index 3ad9a90..78bef84 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/pg/9.1_plus/sql/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/pg/9.1_plus/sql/nodes.sql
@@ -8,7 +8,7 @@ FROM
     pg_namespace nsp
 WHERE
     {% if scid %}
-    nsp.oid={{scid}}::int AND
+    nsp.oid={{scid}}::oid AND
     {% endif %}
     (
 {{ CATALOGS.LIST('nsp') }}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/pg/9.1_plus/sql/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/pg/9.1_plus/sql/properties.sql
index ec0eda2..922e3c1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/pg/9.1_plus/sql/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/pg/9.1_plus/sql/properties.sql
@@ -19,7 +19,7 @@ FROM
     LEFT JOIN pg_roles r ON (r.oid = nsp.nspowner)
 WHERE
     {% if scid %}
-    nsp.oid={{scid}}::int AND
+    nsp.oid={{scid}}::oid AND
     {% endif %}
     (
 {{ CATALOGS.LIST('nsp') }}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/pg/9.2_plus/sql/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/pg/9.2_plus/sql/nodes.sql
index 3ad9a90..78bef84 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/pg/9.2_plus/sql/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/pg/9.2_plus/sql/nodes.sql
@@ -8,7 +8,7 @@ FROM
     pg_namespace nsp
 WHERE
     {% if scid %}
-    nsp.oid={{scid}}::int AND
+    nsp.oid={{scid}}::oid AND
     {% endif %}
     (
 {{ CATALOGS.LIST('nsp') }}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/pg/9.2_plus/sql/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/pg/9.2_plus/sql/properties.sql
index c3cc751..d9bd893 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/pg/9.2_plus/sql/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/pg/9.2_plus/sql/properties.sql
@@ -20,7 +20,7 @@ FROM
     LEFT JOIN pg_roles r ON (r.oid = nsp.nspowner)
 WHERE
     {% if scid %}
-    nsp.oid={{scid}}::int AND
+    nsp.oid={{scid}}::oid AND
     {% endif %}
     (
 {{ CATALOGS.LIST('nsp') }}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/ppas/9.1_plus/sql/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/ppas/9.1_plus/sql/nodes.sql
index 4eb3327..786eca3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/ppas/9.1_plus/sql/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/ppas/9.1_plus/sql/nodes.sql
@@ -8,7 +8,7 @@ FROM
     pg_namespace nsp
 WHERE
     {% if scid %}
-    nsp.oid={{scid}}::int AND
+    nsp.oid={{scid}}::oid AND
     {% endif %}
     nsp.nspparent = 0 AND
     (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/ppas/9.1_plus/sql/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/ppas/9.1_plus/sql/properties.sql
index 41ee062..2c48929 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/ppas/9.1_plus/sql/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/ppas/9.1_plus/sql/properties.sql
@@ -20,7 +20,7 @@ FROM
     LEFT JOIN pg_roles r ON (r.oid = nsp.nspowner)
 WHERE
     {% if scid %}
-    nsp.oid={{scid}}::int AND
+    nsp.oid={{scid}}::oid AND
     {% endif %}
     nsp.nspparent = 0 AND
     (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/ppas/9.2_plus/sql/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/ppas/9.2_plus/sql/nodes.sql
index 71d5535..4678734 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/ppas/9.2_plus/sql/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/ppas/9.2_plus/sql/nodes.sql
@@ -8,7 +8,7 @@ FROM
     pg_namespace nsp
 WHERE
     {% if scid %}
-    nsp.oid={{scid}}::int AND
+    nsp.oid={{scid}}::oid AND
     {% endif %}
     nsp.nspparent = 0 AND
     (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/ppas/9.2_plus/sql/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/ppas/9.2_plus/sql/properties.sql
index 6dc8155..85c9c52 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/ppas/9.2_plus/sql/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/catalog/ppas/9.2_plus/sql/properties.sql
@@ -21,7 +21,7 @@ FROM
     LEFT JOIN pg_roles r ON (r.oid = nsp.nspowner)
 WHERE
     {% if scid %}
-    nsp.oid={{scid}}::int AND
+    nsp.oid={{scid}}::oid AND
     {% endif %}
     nsp.nspparent = 0 AND
     (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.1_plus/sql/defacl.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.1_plus/sql/defacl.sql
index d2d4f8e..9ccbef5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.1_plus/sql/defacl.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.1_plus/sql/defacl.sql
@@ -31,7 +31,7 @@ FROM
                 pg_namespace nsp
                 LEFT OUTER JOIN pg_catalog.pg_default_acl dacl ON (dacl.defaclnamespace = nsp.oid)
             WHERE
-                nsp.oid={{scid}}::int
+                nsp.oid={{scid}}::oid
         ) d) a
     LEFT JOIN pg_catalog.pg_roles g ON (a.grantor = g.oid)
     LEFT JOIN pg_catalog.pg_roles gt ON (a.grantee = gt.oid)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.1_plus/sql/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.1_plus/sql/nodes.sql
index 175841c..df742ab 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.1_plus/sql/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.1_plus/sql/nodes.sql
@@ -8,7 +8,7 @@ FROM
     pg_namespace nsp
 WHERE
     {% if scid %}
-    nsp.oid={{scid}}::int AND
+    nsp.oid={{scid}}::oid AND
     {% else %}
     {% if not show_sysobj %}
     nspname NOT LIKE E'pg\_%' AND
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.1_plus/sql/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.1_plus/sql/properties.sql
index 7e18973..fcb25de 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.1_plus/sql/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.1_plus/sql/properties.sql
@@ -38,7 +38,7 @@ FROM
     LEFT JOIN pg_roles r ON (r.oid = nsp.nspowner)
 WHERE
     {% if scid %}
-    nsp.oid={{scid}}::int AND
+    nsp.oid={{scid}}::oid AND
     {% else %}
     {% if show_sysobj %}
     nspname NOT LIKE E'pg\\_temp\\_%' AND
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.2_plus/sql/defacl.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.2_plus/sql/defacl.sql
index 5c47a09..91c3085 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.2_plus/sql/defacl.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.2_plus/sql/defacl.sql
@@ -32,7 +32,7 @@ FROM
                 pg_namespace nsp
                 LEFT OUTER JOIN pg_catalog.pg_default_acl dacl ON (dacl.defaclnamespace = nsp.oid)
             WHERE
-                nsp.oid={{scid}}::int
+                nsp.oid={{scid}}::oid
         ) d) a
     LEFT JOIN pg_catalog.pg_roles g ON (a.grantor = g.oid)
     LEFT JOIN pg_catalog.pg_roles gt ON (a.grantee = gt.oid)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.2_plus/sql/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.2_plus/sql/nodes.sql
index 175841c..df742ab 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.2_plus/sql/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.2_plus/sql/nodes.sql
@@ -8,7 +8,7 @@ FROM
     pg_namespace nsp
 WHERE
     {% if scid %}
-    nsp.oid={{scid}}::int AND
+    nsp.oid={{scid}}::oid AND
     {% else %}
     {% if not show_sysobj %}
     nspname NOT LIKE E'pg\_%' AND
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.2_plus/sql/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.2_plus/sql/properties.sql
index 3cb0572..ca2254d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.2_plus/sql/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/pg/9.2_plus/sql/properties.sql
@@ -44,7 +44,7 @@ FROM
     LEFT JOIN pg_roles r ON (r.oid = nsp.nspowner)
 WHERE
     {% if scid %}
-    nsp.oid={{scid}}::int AND
+    nsp.oid={{scid}}::oid AND
     {% else %}
     {% if show_sysobj %}
     nspname NOT LIKE E'pg\\_temp\\_%' AND
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.1_plus/sql/defacl.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.1_plus/sql/defacl.sql
index 66d3ebe..f03db85 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.1_plus/sql/defacl.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.1_plus/sql/defacl.sql
@@ -31,7 +31,7 @@ FROM
                 pg_namespace nsp
                 LEFT OUTER JOIN pg_catalog.pg_default_acl dacl ON (dacl.defaclnamespace = nsp.oid)
             WHERE
-                nsp.oid={{scid}}::int
+                nsp.oid={{scid}}::oid
         ) d) a
     LEFT JOIN pg_catalog.pg_roles g ON (a.grantor = g.oid)
     LEFT JOIN pg_catalog.pg_roles gt ON (a.grantee = gt.oid)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.1_plus/sql/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.1_plus/sql/nodes.sql
index 2fb77ba..de2d312 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.1_plus/sql/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.1_plus/sql/nodes.sql
@@ -9,7 +9,7 @@ FROM
 WHERE
     nsp.nspparent = 0 AND
     {% if scid %}
-    nsp.oid={{scid}}::int AND
+    nsp.oid={{scid}}::oid AND
     {% else %}
     {% if not show_sysobj %}
     nspname NOT LIKE E'pg\_%' AND
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.1_plus/sql/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.1_plus/sql/properties.sql
index f3e7a08..41e681a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.1_plus/sql/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.1_plus/sql/properties.sql
@@ -37,7 +37,7 @@ FROM
     LEFT JOIN pg_roles r ON (r.oid = nsp.nspowner)
 WHERE
     {% if scid %}
-    nsp.oid={{scid}}::int AND
+    nsp.oid={{scid}}::oid AND
     {% else %}
     {% if show_sysobj %}
     nspname NOT LIKE E'pg\\_temp\\_%' AND
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.2_plus/sql/defacl.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.2_plus/sql/defacl.sql
index 5c47a09..91c3085 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.2_plus/sql/defacl.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.2_plus/sql/defacl.sql
@@ -32,7 +32,7 @@ FROM
                 pg_namespace nsp
                 LEFT OUTER JOIN pg_catalog.pg_default_acl dacl ON (dacl.defaclnamespace = nsp.oid)
             WHERE
-                nsp.oid={{scid}}::int
+                nsp.oid={{scid}}::oid
         ) d) a
     LEFT JOIN pg_catalog.pg_roles g ON (a.grantor = g.oid)
     LEFT JOIN pg_catalog.pg_roles gt ON (a.grantee = gt.oid)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.2_plus/sql/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.2_plus/sql/nodes.sql
index 2fb77ba..de2d312 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.2_plus/sql/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.2_plus/sql/nodes.sql
@@ -9,7 +9,7 @@ FROM
 WHERE
     nsp.nspparent = 0 AND
     {% if scid %}
-    nsp.oid={{scid}}::int AND
+    nsp.oid={{scid}}::oid AND
     {% else %}
     {% if not show_sysobj %}
     nspname NOT LIKE E'pg\_%' AND
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.2_plus/sql/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.2_plus/sql/properties.sql
index 33dc16c..ac0be6f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.2_plus/sql/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/ppas/9.2_plus/sql/properties.sql
@@ -43,7 +43,7 @@ FROM
     LEFT JOIN pg_roles r ON (r.oid = nsp.nspowner)
 WHERE
     {% if scid %}
-    nsp.oid={{scid}}::int AND
+    nsp.oid={{scid}}::oid AND
     {% else %}
     {% if show_sysobj %}
     nspname NOT LIKE E'pg\\_temp\\_%' AND
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/sql/delete.sql b/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/sql/delete.sql
index 9d9a00d..1c9bda7 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/sql/delete.sql
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/sql/delete.sql
@@ -1,6 +1,6 @@
 {# ============= Below SQL will get the resource group name using oid ============= #}
 {% if rgid %}
-SELECT rgrpname FROM edb_resource_group WHERE oid = {{rgid}}::int;
+SELECT rgrpname FROM edb_resource_group WHERE oid = {{rgid}}::oid;
 {% endif %}
 {# ============= Below SQL will drop the resource group ============= #}
 {% if rgname %}
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/sql/nodes.sql b/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/sql/nodes.sql
index 8a0721d..9c181b2 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/sql/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/sql/nodes.sql
@@ -1,6 +1,6 @@
 SELECT oid, rgrpname AS name
 FROM edb_resource_group
 {% if rgid %}
-WHERE oid={{rgid}}::int
+WHERE oid={{rgid}}::oid
 {% endif %}
 ORDER BY rgrpname
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/sql/properties.sql b/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/sql/properties.sql
index b0c068b..9874885 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/sql/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/templates/resource_groups/sql/properties.sql
@@ -1,6 +1,6 @@
 SELECT oid, rgrpname AS name, rgrpcpuratelimit AS cpu_rate_limit, rgrpdirtyratelimit AS dirty_rate_limit
 FROM edb_resource_group
 {% if rgid %}
-WHERE oid={{rgid}}::int
+WHERE oid={{rgid}}::oid
 {% endif %}
 ORDER BY rgrpname
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post8_4/dependents.sql b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post8_4/dependents.sql
index 581c2e0..5ddbcb3 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post8_4/dependents.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post8_4/dependents.sql
@@ -5,7 +5,7 @@ SELECT 'd' as type, datname,
 FROM pg_database db
 UNION
 SELECT 'M', spcname, null, null, null
-    FROM pg_tablespace where spcowner= {{rid}}::int
+    FROM pg_tablespace where spcowner= {{rid}}::oid
 ORDER BY 1, 2
 {% endif %}
 
@@ -17,24 +17,24 @@ JOIN pg_namespace cln ON cl.relnamespace=cln.oid
 LEFT OUTER JOIN pg_index ind ON ind.indexrelid=cl.oid
 LEFT OUTER JOIN pg_class ci ON ind.indrelid=ci.oid
 LEFT OUTER JOIN pg_namespace cin ON ci.relnamespace=cin.oid
-WHERE cl.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND cl.oid > {{lastsysoid}}::int
+WHERE cl.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND cl.oid > {{lastsysoid}}::oid
 UNION ALL SELECT 'n', null, nspname, null
     FROM pg_namespace nsp
-    WHERE nsp.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND nsp.oid > {{lastsysoid}}::int
+    WHERE nsp.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND nsp.oid > {{lastsysoid}}::oid
 UNION ALL SELECT CASE WHEN typtype='d' THEN 'd' ELSE 'y' END, null, typname, null
     FROM pg_type ty
-    WHERE ty.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND ty.oid > {{lastsysoid}}::int
+    WHERE ty.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND ty.oid > {{lastsysoid}}::oid
 UNION ALL SELECT 'C', null, conname, null
     FROM pg_conversion co
-    WHERE co.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND co.oid > {{lastsysoid}}::int
+    WHERE co.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND co.oid > {{lastsysoid}}::oid
 UNION ALL SELECT CASE WHEN prorettype=2279 THEN 'T' ELSE 'p' END, null, proname, null
     FROM pg_proc pr
-    WHERE pr.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND pr.oid > {{lastsysoid}}::int
+    WHERE pr.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND pr.oid > {{lastsysoid}}::oid
 UNION ALL SELECT 'o', null, oprname || '('::text || COALESCE(tl.typname, ''::text) || CASE WHEN tl.oid IS NOT NULL
         AND tr.oid IS NOT NULL THEN ','::text END || COALESCE(tr.typname, ''::text) || ')'::text, null
     FROM pg_operator op
     LEFT JOIN pg_type tl ON tl.oid=op.oprleft
     LEFT JOIN pg_type tr ON tr.oid=op.oprright
-    WHERE op.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND op.oid > {{lastsysoid}}::int
+    WHERE op.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND op.oid > {{lastsysoid}}::oid
 ORDER BY 1,2,3
 {% endif %}
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_0/dependents.sql b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_0/dependents.sql
index 581c2e0..5ddbcb3 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_0/dependents.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_0/dependents.sql
@@ -5,7 +5,7 @@ SELECT 'd' as type, datname,
 FROM pg_database db
 UNION
 SELECT 'M', spcname, null, null, null
-    FROM pg_tablespace where spcowner= {{rid}}::int
+    FROM pg_tablespace where spcowner= {{rid}}::oid
 ORDER BY 1, 2
 {% endif %}
 
@@ -17,24 +17,24 @@ JOIN pg_namespace cln ON cl.relnamespace=cln.oid
 LEFT OUTER JOIN pg_index ind ON ind.indexrelid=cl.oid
 LEFT OUTER JOIN pg_class ci ON ind.indrelid=ci.oid
 LEFT OUTER JOIN pg_namespace cin ON ci.relnamespace=cin.oid
-WHERE cl.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND cl.oid > {{lastsysoid}}::int
+WHERE cl.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND cl.oid > {{lastsysoid}}::oid
 UNION ALL SELECT 'n', null, nspname, null
     FROM pg_namespace nsp
-    WHERE nsp.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND nsp.oid > {{lastsysoid}}::int
+    WHERE nsp.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND nsp.oid > {{lastsysoid}}::oid
 UNION ALL SELECT CASE WHEN typtype='d' THEN 'd' ELSE 'y' END, null, typname, null
     FROM pg_type ty
-    WHERE ty.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND ty.oid > {{lastsysoid}}::int
+    WHERE ty.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND ty.oid > {{lastsysoid}}::oid
 UNION ALL SELECT 'C', null, conname, null
     FROM pg_conversion co
-    WHERE co.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND co.oid > {{lastsysoid}}::int
+    WHERE co.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND co.oid > {{lastsysoid}}::oid
 UNION ALL SELECT CASE WHEN prorettype=2279 THEN 'T' ELSE 'p' END, null, proname, null
     FROM pg_proc pr
-    WHERE pr.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND pr.oid > {{lastsysoid}}::int
+    WHERE pr.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND pr.oid > {{lastsysoid}}::oid
 UNION ALL SELECT 'o', null, oprname || '('::text || COALESCE(tl.typname, ''::text) || CASE WHEN tl.oid IS NOT NULL
         AND tr.oid IS NOT NULL THEN ','::text END || COALESCE(tr.typname, ''::text) || ')'::text, null
     FROM pg_operator op
     LEFT JOIN pg_type tl ON tl.oid=op.oprleft
     LEFT JOIN pg_type tr ON tr.oid=op.oprright
-    WHERE op.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND op.oid > {{lastsysoid}}::int
+    WHERE op.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND op.oid > {{lastsysoid}}::oid
 ORDER BY 1,2,3
 {% endif %}
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_0/properties.sql b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_0/properties.sql
index 4750d50..87033f5 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_0/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_0/properties.sql
@@ -11,6 +11,6 @@ SELECT
 FROM
 	pg_roles r
 {% if rid %}
-WHERE r.oid = {{ rid|qtLiteral }}::int
+WHERE r.oid = {{ rid|qtLiteral }}::oid
 {% endif %}
 ORDER BY r.rolcanlogin, r.rolname
diff --git a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_1/dependents.sql b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_1/dependents.sql
index 581c2e0..5ddbcb3 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_1/dependents.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_1/dependents.sql
@@ -5,7 +5,7 @@ SELECT 'd' as type, datname,
 FROM pg_database db
 UNION
 SELECT 'M', spcname, null, null, null
-    FROM pg_tablespace where spcowner= {{rid}}::int
+    FROM pg_tablespace where spcowner= {{rid}}::oid
 ORDER BY 1, 2
 {% endif %}
 
@@ -17,24 +17,24 @@ JOIN pg_namespace cln ON cl.relnamespace=cln.oid
 LEFT OUTER JOIN pg_index ind ON ind.indexrelid=cl.oid
 LEFT OUTER JOIN pg_class ci ON ind.indrelid=ci.oid
 LEFT OUTER JOIN pg_namespace cin ON ci.relnamespace=cin.oid
-WHERE cl.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND cl.oid > {{lastsysoid}}::int
+WHERE cl.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND cl.oid > {{lastsysoid}}::oid
 UNION ALL SELECT 'n', null, nspname, null
     FROM pg_namespace nsp
-    WHERE nsp.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND nsp.oid > {{lastsysoid}}::int
+    WHERE nsp.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND nsp.oid > {{lastsysoid}}::oid
 UNION ALL SELECT CASE WHEN typtype='d' THEN 'd' ELSE 'y' END, null, typname, null
     FROM pg_type ty
-    WHERE ty.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND ty.oid > {{lastsysoid}}::int
+    WHERE ty.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND ty.oid > {{lastsysoid}}::oid
 UNION ALL SELECT 'C', null, conname, null
     FROM pg_conversion co
-    WHERE co.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND co.oid > {{lastsysoid}}::int
+    WHERE co.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND co.oid > {{lastsysoid}}::oid
 UNION ALL SELECT CASE WHEN prorettype=2279 THEN 'T' ELSE 'p' END, null, proname, null
     FROM pg_proc pr
-    WHERE pr.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND pr.oid > {{lastsysoid}}::int
+    WHERE pr.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND pr.oid > {{lastsysoid}}::oid
 UNION ALL SELECT 'o', null, oprname || '('::text || COALESCE(tl.typname, ''::text) || CASE WHEN tl.oid IS NOT NULL
         AND tr.oid IS NOT NULL THEN ','::text END || COALESCE(tr.typname, ''::text) || ')'::text, null
     FROM pg_operator op
     LEFT JOIN pg_type tl ON tl.oid=op.oprleft
     LEFT JOIN pg_type tr ON tr.oid=op.oprright
-    WHERE op.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND op.oid > {{lastsysoid}}::int
+    WHERE op.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND op.oid > {{lastsysoid}}::oid
 ORDER BY 1,2,3
 {% endif %}
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_1/nodes.sql b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_1/nodes.sql
index 5cce141..8729936 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_1/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_1/nodes.sql
@@ -3,6 +3,6 @@ SELECT
 FROM
 	pg_roles r
 {% if rid %}
-WHERE r.oid = {{ rid|qtLiteral }}::int
+WHERE r.oid = {{ rid|qtLiteral }}::oid
 {% endif %}
 ORDER BY r.rolcanlogin, r.rolname
diff --git a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_1/properties.sql b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_1/properties.sql
index 664ad3b..c99789b 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_1/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_1/properties.sql
@@ -12,6 +12,6 @@ SELECT
 FROM
 	pg_roles r
 {% if rid %}
-WHERE r.oid = {{ rid|qtLiteral }}::int
+WHERE r.oid = {{ rid|qtLiteral }}::oid
 {% endif %}
 ORDER BY r.rolcanlogin, r.rolname
diff --git a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_4/dependents.sql b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_4/dependents.sql
index e198ad1..8e39887 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_4/dependents.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_4/dependents.sql
@@ -5,7 +5,7 @@ SELECT 'd' as type, datname,
 FROM pg_database db
 UNION
 SELECT 'M', spcname, null, null, null
-    FROM pg_tablespace where spcowner={{rid}}::int
+    FROM pg_tablespace where spcowner={{rid}}::oid
 ORDER BY 1, 2
 {% endif %}
 
@@ -17,24 +17,24 @@ JOIN pg_namespace cln ON cl.relnamespace=cln.oid
 LEFT OUTER JOIN pg_index ind ON ind.indexrelid=cl.oid
 LEFT OUTER JOIN pg_class ci ON ind.indrelid=ci.oid
 LEFT OUTER JOIN pg_namespace cin ON ci.relnamespace=cin.oid
-WHERE cl.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND cl.oid > {{lastsysoid}}::int
+WHERE cl.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND cl.oid > {{lastsysoid}}::oid
 UNION ALL SELECT 'n', null, nspname, null
     FROM pg_namespace nsp
-    WHERE nsp.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND nsp.oid > {{lastsysoid}}::int
+    WHERE nsp.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND nsp.oid > {{lastsysoid}}::oid
 UNION ALL SELECT CASE WHEN typtype='d' THEN 'd' ELSE 'y' END, null, typname, null
     FROM pg_type ty
-    WHERE ty.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND ty.oid > {{lastsysoid}}::int
+    WHERE ty.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND ty.oid > {{lastsysoid}}::oid
 UNION ALL SELECT 'C', null, conname, null
     FROM pg_conversion co
-    WHERE co.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND co.oid > {{lastsysoid}}::int
+    WHERE co.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND co.oid > {{lastsysoid}}::oid
 UNION ALL SELECT CASE WHEN prorettype=2279 THEN 'T' ELSE 'p' END, null, proname, null
     FROM pg_proc pr
-    WHERE pr.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND pr.oid > {{lastsysoid}}::int
+    WHERE pr.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND pr.oid > {{lastsysoid}}::oid
 UNION ALL SELECT 'o', null, oprname || '('::text || COALESCE(tl.typname, ''::text) || CASE WHEN tl.oid IS NOT NULL
         AND tr.oid IS NOT NULL THEN ','::text END || COALESCE(tr.typname, ''::text) || ')'::text, null
     FROM pg_operator op
     LEFT JOIN pg_type tl ON tl.oid=op.oprleft
     LEFT JOIN pg_type tr ON tr.oid=op.oprright
-    WHERE op.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND op.oid > {{lastsysoid}}::int
+    WHERE op.oid IN (SELECT objid FROM pg_shdepend WHERE refobjid={{rid}}::oid) AND op.oid > {{lastsysoid}}::oid
 ORDER BY 1,2,3
 {% endif %}
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_4/nodes.sql b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_4/nodes.sql
index 5cce141..8729936 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_4/nodes.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_4/nodes.sql
@@ -3,6 +3,6 @@ SELECT
 FROM
 	pg_roles r
 {% if rid %}
-WHERE r.oid = {{ rid|qtLiteral }}::int
+WHERE r.oid = {{ rid|qtLiteral }}::oid
 {% endif %}
 ORDER BY r.rolcanlogin, r.rolname
diff --git a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_4/properties.sql b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_4/properties.sql
index 34504d7..1ee0b6c 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_4/properties.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/templates/role/sql/post9_4/properties.sql
@@ -12,6 +12,6 @@ SELECT
 FROM
 	pg_roles r
 {% if rid %}
-WHERE r.oid = {{ rid|qtLiteral }}::int
+WHERE r.oid = {{ rid|qtLiteral }}::oid
 {% endif %}
 ORDER BY r.rolcanlogin, r.rolname
diff --git a/web/pgadmin/tools/debugger/templates/debugger/sql/get_function_debug_info.sql b/web/pgadmin/tools/debugger/templates/debugger/sql/get_function_debug_info.sql
index b748916..701f5ee 100644
--- a/web/pgadmin/tools/debugger/templates/debugger/sql/get_function_debug_info.sql
+++ b/web/pgadmin/tools/debugger/templates/debugger/sql/get_function_debug_info.sql
@@ -60,5 +60,5 @@ FROM
     LEFT JOIN pg_catalog.pg_namespace g ON n.nspparent = g.oid
 {% endif %}
 {% if fid %}
-WHERE p.oid = {{fid}}::int;
+WHERE p.oid = {{fid}}::oid;
 {% endif %}
\ No newline at end of file
diff --git a/web/pgadmin/tools/debugger/templates/debugger/sql/v1/get_function_info.sql b/web/pgadmin/tools/debugger/templates/debugger/sql/v1/get_function_info.sql
index e8a7d62..4d72510 100644
--- a/web/pgadmin/tools/debugger/templates/debugger/sql/v1/get_function_info.sql
+++ b/web/pgadmin/tools/debugger/templates/debugger/sql/v1/get_function_info.sql
@@ -60,5 +60,5 @@ FROM
     LEFT JOIN pg_catalog.pg_namespace g ON n.nspparent = g.oid
 {% endif %}
 {% if fid %}
-WHERE p.oid = {{fid}}::int;
+WHERE p.oid = {{fid}}::oid;
 {% endif %}
\ No newline at end of file
diff --git a/web/pgadmin/tools/debugger/templates/debugger/sql/v2/get_function_info.sql b/web/pgadmin/tools/debugger/templates/debugger/sql/v2/get_function_info.sql
index e8a7d62..4d72510 100644
--- a/web/pgadmin/tools/debugger/templates/debugger/sql/v2/get_function_info.sql
+++ b/web/pgadmin/tools/debugger/templates/debugger/sql/v2/get_function_info.sql
@@ -60,5 +60,5 @@ FROM
     LEFT JOIN pg_catalog.pg_namespace g ON n.nspparent = g.oid
 {% endif %}
 {% if fid %}
-WHERE p.oid = {{fid}}::int;
+WHERE p.oid = {{fid}}::oid;
 {% endif %}
\ No newline at end of file
diff --git a/web/pgadmin/tools/grant_wizard/templates/grant_wizard/pg/9.1_plus/sql/get_schemas.sql b/web/pgadmin/tools/grant_wizard/templates/grant_wizard/pg/9.1_plus/sql/get_schemas.sql
index 4f6fd5a..cd4241c 100644
--- a/web/pgadmin/tools/grant_wizard/templates/grant_wizard/pg/9.1_plus/sql/get_schemas.sql
+++ b/web/pgadmin/tools/grant_wizard/templates/grant_wizard/pg/9.1_plus/sql/get_schemas.sql
@@ -7,7 +7,7 @@ FROM
     pg_namespace nsp
 WHERE
     {% if nspid %}
-    nsp.oid={{nspid}}::int AND
+    nsp.oid={{nspid}}::oid AND
     {% else %}
     {% if not show_sysobj %}
     nspname NOT LIKE E'pg\_%' AND
diff --git a/web/pgadmin/tools/grant_wizard/templates/grant_wizard/ppas/9.1_plus/sql/get_schemas.sql b/web/pgadmin/tools/grant_wizard/templates/grant_wizard/ppas/9.1_plus/sql/get_schemas.sql
index 4d47fa1..95b8f56 100644
--- a/web/pgadmin/tools/grant_wizard/templates/grant_wizard/ppas/9.1_plus/sql/get_schemas.sql
+++ b/web/pgadmin/tools/grant_wizard/templates/grant_wizard/ppas/9.1_plus/sql/get_schemas.sql
@@ -8,7 +8,7 @@ FROM
 WHERE
     nsp.nspparent = 0 AND
     {% if nspid %}
-    nsp.oid={{nspid}}::int AND
+    nsp.oid={{nspid}}::oid AND
     {% else %}
     {% if not show_sysobj %}
     nspname NOT LIKE E'pg\_%' AND
diff --git a/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/9.1_plus/primary_keys.sql b/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/9.1_plus/primary_keys.sql
index b05a697..60d0e56 100644
--- a/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/9.1_plus/primary_keys.sql
+++ b/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/9.1_plus/primary_keys.sql
@@ -4,5 +4,5 @@ SELECT at.attname, ty.typname
 FROM pg_attribute at LEFT JOIN pg_type ty ON (ty.oid = at.atttypid)
 WHERE attrelid={{obj_id}}::oid AND attnum = ANY (
     (SELECT con.conkey FROM pg_class rel LEFT OUTER JOIN pg_constraint con ON con.conrelid=rel.oid
-    AND con.contype='p' WHERE rel.relkind IN ('r','s','t') AND rel.oid = {{obj_id}}::oid)::integer[])
+    AND con.contype='p' WHERE rel.relkind IN ('r','s','t') AND rel.oid = {{obj_id}}::oid)::oid[])
 {% endif %}
\ No newline at end of file
